Write a script that syncs portal files in specific order and purge vanish cache
Closed, ResolvedPublic3 Story Points

Description

Per discussion in T125185 and stand up meetings, we decided to create a server side script that we will ask deployers to run for each portal deployment,

This script will:

  1. sync the /assets/ folder
  2. sync index.html
  3. run a command line that purges the varnish cache for:
    • https://www.wikipedia.org/
JGirault created this task.Feb 2 2016, 1:40 AM
JGirault updated the task description. (Show Details)
JGirault raised the priority of this task from to High.
JGirault assigned this task to MaxSem.
JGirault moved this task from Backlog to In Progress on the Discovery-Portal-Sprint board.
JGirault added subscribers: MaxSem, Jdrewniak, Aklapper and 2 others.
debt set Security to None.Feb 2 2016, 7:50 PM
debt edited a custom field.
debt added a subscriber: debt.

added story points based on @MaxSem's estimate of 15 minutes-ish of work

Change 267941 had a related patch set uploaded (by MaxSem):
sync-portals script

https://gerrit.wikimedia.org/r/267941

ksmith moved this task from Needs triage to On Sprint Board on the Discovery board.Feb 2 2016, 9:18 PM
debt added a comment.Feb 4 2016, 1:08 AM

Thanks, @MaxSem!

Let me know if a meeting with you, Erik, Yuri and @Jdrewniak and @JGirault would be good or if you want to communicate more on this topic in gerrit or elsewhere. :)

Change 267941 merged by jenkins-bot:
sync-portals script

https://gerrit.wikimedia.org/r/267941

debt closed this task as Resolved.Feb 5 2016, 9:17 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Feb 10 2016, 1:13 AM